%global srcname pykdtree

Name:           python-%{srcname}
Version:        1.3.1
Release:        1%{?dist}
Summary:        Fast kd-tree implementation with OpenMP-enabled queries

License:        LGPLv3+
URL:            https://github.com/storpipfugl/pykdtree
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc

%global _description \
pykdtree is a kd-tree implementation for fast nearest neighbour search in \
Python. The aim is to be the fastest implementation around for common use cases \
(low dimensions and low number of neighbours) for both tree construction and \
queries.

%description %{_description}


%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(numpy)

Requires:       python3dist(numpy)

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%license LICENSE.txt
%{python3_sitearch}/%{srcname}
%{python3_sitearch}/%{srcname}-%{version}-py?.?.egg-info


%changelog
* Sun Jul 15 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.1-1
- Initial package.
